Abuse Reports

abuse_reports

Methods

Submit An Abuse Report -> Envelope<string>
post/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

Abuse Report Details -> Envelope<{ id, cdate, domain, 7 more... }>
get/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Trust and Safety Write Trust and Safety Read

path Parameters
account_id: string
(maxLength: 32)
report_param: string
Response fields
result: { id, cdate, domain, 7 more... }
success: boolean
errors: Array<{ message, code }>
Optional
messages: Array<{ message }>
Optional
Request example
200Example
List Abuse Reports -> V4PagePagination<{ reports }>
get/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Abuse Reports

Mitigations

abuse_reports.mitigations

Methods

List Abuse Report Mitigations -> V4PagePagination<{ mitigations }>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

Request Review On Mitigations -> SinglePage<{ id, effective_date, entity_id, 3 more... }>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.